|  | Home · All Classes · Modules

# QStyle.State Class Reference
[QtGui module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, State)

### Special Methods

- State __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, State f)
- State __iand__ (self, int f)
- int __int__ (self)
- State __invert__ (self)
- State __ior__ (self, int f)
- State __ixor__ (self, int f)
- bool __ne__ (self, State f)
- State __or__ (self, int f)
- State __xor__ (self, int f)

## Detailed Description

StateFlag may be used whenever State is expected.

## Method Documentation

### State.__init__ (self)

### State.__init__ (self, int f)

### State.__init__ (self, State)

### State State.__and__ (self, int f)

### int State.__bool__ (self)

### bool State.__eq__ (self, State f)

### State State.__iand__ (self, int f)

### int State.__int__ (self)

### State State.__invert__ (self)

### State State.__ior__ (self, int f)

### State State.__ixor__ (self, int f)

### bool State.__ne__ (self, State f)

### State State.__or__ (self, int f)

### State State.__xor__ (self, int f)